Skip to content

Delete a ticket

Request

Irreversible operation

Deleting a ticket is permanent and cannot be reversed.

Deleting a ticket permanently removes it from the inbox. All sensitive data is deleted, including admin and user replies, ticket attributes, uploads, and related content. The ticket will still appear in reporting, though some data may be incomplete due to the deletion.

Security
bearerAuth
Path
ticket_idstringrequired

The unique identifier for the ticket which is given by Intercom.

Not the Inbox ticket ID

This is the internal id field from the API response, not the ticket_id displayed in the Intercom Inbox (e.g., #12345). Use the id value from the ticket object returned by the API.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  'https://api.intercom.io/tickets/{ticket_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the ticket.

Example:"5ba682d23d7cf92bef87bfd4"
objectstring

always ticket

Value:"ticket"
Example:"ticket"
deletedboolean

Whether the ticket is deleted or not.

Example:true
Response
{ "id": "632", "object": "ticket", "deleted": true }